Page MenuHomePhabricator

Enable Partial Blocks on Beta: Commons, Wikisource, etc.
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable Partial Blocks on Beta

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2019, 7:50 PM

@TBolliger Do you have this list?

TBolliger removed TBolliger as the assignee of this task.Mar 7 2019, 9:42 PM
TBolliger updated the task description. (Show Details)
dbarratt claimed this task.Mar 12 2019, 3:35 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (He — ה) board.

Change 495917 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[operations/mediawiki-config@master] Enable Partial Blocks on Beta

https://gerrit.wikimedia.org/r/495917

Change 495917 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Partial Blocks on Beta

https://gerrit.wikimedia.org/r/495917

This comment was removed by TBolliger.

There are only four pages on Wikibooks beta, so I won't test that. The Expiration section is missing from all beta wikis (these four + wikipedia) so I can't set a block until that's been resolved:

Due to

Uncaught Error: Circular dependency! mw-input-wpExpiry
TBolliger removed TBolliger as the assignee of this task.Mar 15 2019, 7:02 PM

Someone else will need to test this, still broken on beta

Niharika changed the task status from Stalled to Open.Mar 18 2019, 11:43 PM
Niharika added subscribers: SPoore, Niharika.

The blocker is resolved now and from my testing it works on beta commons.
@SPoore You can go ahead and test this on the following beta sites:

Once we're confident enough with those, we can begin a rollout for other projects.

We do have a fair number of beta sites in other languages too so we can also use them for testing after this first round.

Niharika triaged this task as Medium priority.Mar 18 2019, 11:44 PM
dom_walden added a subscriber: dom_walden.

The blocker is resolved now and from my testing it works on beta commons.
@SPoore You can go ahead and test this on the following beta sites:

Once we're confident enough with those, we can begin a rollout for other projects.
We do have a fair number of beta sites in other languages too so we can also use them for testing after this first round.

I have tested username partial blocks on each of these. Blocks were effective (including blocking emails on Wikibooks and account creation on Wiktionary). No UI problems anymore that I can see.

Special:UploadWizard will be tested more on Beta Commons as part of T217255.

But I cannot see much else that needs to be done here.

SPoore added a comment.EditedMar 21 2019, 1:52 PM

Thanks @dom_walden Sounds good. Looking over the list I don't see any other beta sites that will give us extra information that we would use right away. So, from my perspective we're done for now.

Niharika closed this task as Resolved.Mar 24 2019, 8:29 PM
Niharika claimed this task.

Thanks @dom_walden and @SPoore.

Niharika removed Niharika as the assignee of this task.Mar 24 2019, 8:30 PM
MJL added a subscriber: MJL.May 21 2019, 8:28 PM